<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_76b2584d18510f887f4a6f6b81f9" . "6952" => base64_decode("Y29tbW9uLmh" . "lYWRlci5mb3" . "J1bQ=="), "_4cb84eb74ebb3a0cd6e531" . "eaa8157092" => base64_decode("YXB" . "wX2" . "Zvc" . "nVt"), "_d36d5ad3900b429055d2ab30" . "5b68bdbd" => base64_decode("Zm9ydW1" . "fbWVzc2" . "FnZQ=="), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1" . "zZw" . "=="));
use Claromentis\Forum\ForumApplication as ForumForumApplication;
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d36d5ad3900b" . "429055d2ab305" . "b68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_76b2584d18510f887f4a6f6b" . "81f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4cb84eb74ebb3a0cd6e531eaa815" . "7092"];
    }
    public function GetIcon() : string
    {
        return ForumForumApplication::APPLICATION_SVG_URL;
    }
}